import request from '@/utils/request'

// 查询自定义地区列表
export function listDiyCity(query) {
  return request({
    url: '/system/DiyCity/list',
    method: 'get',
    params: query
  })
}

// 查询自定义地区详细
export function getDiyCity(id) {
  return request({
    url: '/system/DiyCity/' + id,
    method: 'get'
  })
}

// 新增自定义地区
export function addDiyCity(data) {
  return request({
    url: '/system/DiyCity',
    method: 'post',
    data: data
  })
}

// 修改自定义地区
export function updateDiyCity(data) {
  return request({
    url: '/system/DiyCity',
    method: 'put',
    data: data
  })
}

// 删除自定义地区
export function delDiyCity(id) {
  return request({
    url: '/system/DiyCity/' + id,
    method: 'delete'
  })
}
